<?php

/*
+--------------------------------------------------------------------------
|   IPBTracker v1.1
|   =============================================
|   by Jaggi
|   (c) 2002 - 2006 IPBTracker.eu.
|   =============================================
+---------------------------------------------------------------------------
+---------------------------------------------------------------------------
|
|   > This code will delete users who are not active and have uploaded 0 and
|	> downloaded 0 bytes. 
|   > Will set users to inactive who haven't be active for an amount of time
|	> set in the ACP config. 
|   > Date Updated: 05/07/06
+--------------------------------------------------------------------------
*/

//-----------------------------------------
// No IPB?  No Service.
//-----------------------------------------

if ( ! defined( 'IN_IPB' ) )

{

	print "<h1>Access Denied</h1>You cannot access this file.";

	exit();

}

//-----------------------------------------
// Classes.
//-----------------------------------------

class task_item

{

	var $class     = "";

	var $root_path = "";

	var $task      = "";
	
	function run_task()

	{
		//------------------------------------------------
		// Let's get to work, shall we? work out cleantime
		//------------------------------------------------
				
		$cleantime = time() - $this->ipsclass->vars['cleantime'];

			//-----------------------------------------
			// Run the update query
			//-----------------------------------------
			
			$this->ipsclass->DB->query("UPDATE xbt_files_users
										SET active=0
										WHERE '".$cleantime."' >  mtime
										AND active=1
										");

			//-----------------------------------------
			// Run delete 0 stats
			//-----------------------------------------
			
			$this->ipsclass->DB->query("DELETE FROM xbt_files_users 
										WHERE active=0 
										AND downloaded=0 
										AND uploaded=0");

		//-----------------------------------------
		// Tell the AdminCP how happy you are!
		//-----------------------------------------
		
		$this->class->append_task_log( $this->task, 'Tracker Cleaned' );
		
		//-----------------------------------------
		// You can do it again, Mr. AdminCP...
		//-----------------------------------------
		
		$this->class->unlock_task( $this->task );

	}
	
		//-----------------------------------------
		// DO NOT TOUCH
		//-----------------------------------------
	
		function register_class(&$class)

		{

			$this->class     = $class;

			$this->ipsclass  =& $class->ipsclass;

			$this->root_path = $this->class->root_path;

		}

		function pass_task( $this_task )

		{

			$this->task = $this_task;

		}
	
}

?>